Package ghidra.app.util.bin.format.macho.threadcommand

# Class DebugStateX86_32

java.lang.Object
ghidra.app.util.bin.format.macho.threadcommand.DebugStateX86_32

All Implemented Interfaces:
  `StructConverter`

public class DebugStateX86_32 extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dr0`
  `int`
  `dr1`
  `int`
  `dr2`
  `int`
  `dr3`
  `int`
  `dr4`
  `int`
  `dr5`
  `int`
  `dr6`
  `int`
  `dr7`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dr0

    public int dr0

  - ### dr1

    public int dr1

  - ### dr2

    public int dr2

  - ### dr3

    public int dr3

  - ### dr4

    public int dr4

  - ### dr5

    public int dr5

  - ### dr6

    public int dr6

  - ### dr7

    public int dr7

- ## Method Details

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`